import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { AsyncSubject } from 'rxjs';
import { FieldConfig } from './models/field-config.interface';
import { JsonDynamicFormService } from './services/json-dynamic-form.service';
export declare class JsonDynamicFormComponent implements OnChanges, OnInit {
    private _df;
    private _fb;
    formName: any;
    submit: EventEmitter<any>;
    private _initWaiter$;
    config: FieldConfig[];
    display: any[];
    form: FormGroup;
    readonly controls: FieldConfig[];
    readonly changes: import("rxjs/internal/Observable").Observable<any>;
    readonly valid: boolean;
    readonly value: any;
    constructor(_df: JsonDynamicFormService, _fb: FormBuilder);
    ngOnInit(): void;
    getForm(): AsyncSubject<{}>;
    ngOnChanges(): void;
    createGroup(): FormGroup;
    createCheckboxesControl(config: FieldConfig): FormGroup;
    createControl(config: FieldConfig): import("@angular/forms/src/model").FormControl;
    handleSubmit(event: Event): void;
    setDisabled(name: string, disable: boolean): void;
    setValue(name: string, value: any): void;
}
